import type * as ts from "typescript/lib/tsserverlibrary";
export interface ICustomizedLanguageServie {
    getApplicableRefactors: ts.LanguageService["getApplicableRefactors"];
    getEditsForRefactor: ts.LanguageService["getEditsForRefactor"];
}
export declare class RefactorLanguageServiceProxy {
    private readonly customizedLanguageServie;
    private readonly _wrappers;
    constructor(customizedLanguageServie: ICustomizedLanguageServie);
    decorate(languageService: ts.LanguageService): any;
    private tryAdaptGetApplicableRefactors;
    private tryAdaptGetEditsForRefactor;
    private wrap;
}
