"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Err = exports.Ok = exports.OkType = void 0;
var OkType;
(function (OkType) {
    OkType[OkType["Ok"] = 0] = "Ok";
    OkType[OkType["Err"] = 1] = "Err";
})(OkType = exports.OkType || (exports.OkType = {}));
function Ok(value) {
    return {
        type: OkType.Ok,
        value
    };
}
exports.Ok = Ok;
function Err(reason, extra) {
    return {
        type: OkType.Err,
        reason,
        extra
    };
}
exports.Err = Err;
//# sourceMappingURL=types.js.map